## ŚCHILDREN Child classes

Implemented for Internal (user-defined)classes only

Syntax:

classrefs „ classref.ŚCHILDREN

The niladic system method ŚCHILDREN returns a vector of references to the children of a given class, i.e. the classes which inherit from that class. In this example, classes `Color_Point` and `Grayscale_Point` both inherit from class `Point`:

          )CLASSES
    Color_Point  Grayscale_Point  Point
          Point.ŚCHILDREN
    {Color_Point} {Grayscale_Point}
          ˝Point.ŚCHILDREN
    2

Topic: APLX Help : Help on APL language : System Methods : ŚCHILDREN Child classes

[ Previous | Next | Contents | Index ]